Crazy Eddies GUI System: CEGUI::OgreImageCodec Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
CEGUI::OgreImageCodec Class Reference

ImageCodec object that loads data via image loading facilities in Ogre. More...

Inheritance diagram for CEGUI::OgreImageCodec:
[legend]
Collaboration diagram for CEGUI::OgreImageCodec:
[legend]

List of all members.

## Public Member Functions
| OgreImageCodec ()
| Constructor.
void | setImageFileDataType (const String &type)
| Set the file-type identifier that will be used for future load operations.
const String & | getImageFileDataType () const
| Return the string descibing the currently set file type.
Texture * | load (const RawDataContainer &data, Texture *result)
| Load an image from a memory buffer.
## Protected Attributes
String | d_dataTypeID
| Holds currently set file data type specifier (i.e. the file extension).

## Detailed Description

ImageCodec object that loads data via image loading facilities in Ogre.

## Member Function Documentation

Texture* CEGUI::OgreImageCodec::load | ( | const RawDataContainer & | data,
|  | Texture * | result
| ) |  | `[virtual]`

Load an image from a memory buffer.

Parameters:

  data | the image data
  result | the texture to use for storing the image data

Returns:
  result on success or 0 if the load failed

Implements CEGUI::ImageCodec.

void CEGUI::OgreImageCodec::setImageFileDataType | ( | const String & | type | ) |

Set the file-type identifier that will be used for future load operations.

This allows us to pass the type on to Ogre when we process the image data (because it's just file data; we do not have a filename nor file extension). Ogre needs this sometimes in order to correctly select the right codec to use for the final decoding of the data. If this value is not set, loading may still succeed, though that will depend upon the specific libraries and codecs that the Ogre installation has available to it.

Parameters:

  type | String object that describes the type of file data that will be passed in subsequent load operations. Note that this type will typically be the file extension (or equivalent).